summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-05-13 00:59:36 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:36 +0200
commit17b497c04615049e5814158261f0bfafce05b648 (patch)
tree917dcf34641b4d0662ecf45e40f6c50b22db234d /multimedia
parentd6e438524b3bcb039890984252b55b08e19f8237 (diff)
downloadslackbuilds-17b497c04615049e5814158261f0bfafce05b648.tar.gz
slackbuilds-17b497c04615049e5814158261f0bfafce05b648.tar.xz
multimedia/cdcat: Added to 13.0 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/cdcat/README5
-rw-r--r--multimedia/cdcat/bugfix.patch13
-rw-r--r--multimedia/cdcat/cdcat.SlackBuild86
-rw-r--r--multimedia/cdcat/cdcat.desktop10
-rw-r--r--multimedia/cdcat/cdcat.info10
-rw-r--r--multimedia/cdcat/doinst.sh4
-rw-r--r--multimedia/cdcat/gcc4.patch11
-rw-r--r--multimedia/cdcat/slack-desc19
8 files changed, 158 insertions, 0 deletions
diff --git a/multimedia/cdcat/README b/multimedia/cdcat/README
new file mode 100644
index 0000000000..37d9addfac
--- /dev/null
+++ b/multimedia/cdcat/README
@@ -0,0 +1,5 @@
+CdCat is a graphical (QT based) catalog program which scans the directories
+and/or drives you want and stores it (including mp3 tags) in gzipped XML
+format.
+
+This requires qt3 from the /extra/kde3-compat/ packages.
diff --git a/multimedia/cdcat/bugfix.patch b/multimedia/cdcat/bugfix.patch
new file mode 100644
index 0000000000..3b60c47f38
--- /dev/null
+++ b/multimedia/cdcat/bugfix.patch
@@ -0,0 +1,13 @@
+diff -urN cdcat-1.01b/src/mp3tag.cpp cdcat-1.01b~/src/mp3tag.cpp
+--- cdcat-1.01b/src/mp3tag.cpp 2005-08-22 19:03:00.000000000 +0200
++++ cdcat-1.01b~/src/mp3tag.cpp 2006-08-13 15:59:20.000000000 +0200
+@@ -219,7 +219,7 @@
+ unsigned int pos=0;
+ unsigned int framelen;
+ char id[5];
+- id[5] ='\0';
++ id[4] ='\0';
+
+ fseek(mp3,0,SEEK_END);
+ flen = ftell(mp3);
+
diff --git a/multimedia/cdcat/cdcat.SlackBuild b/multimedia/cdcat/cdcat.SlackBuild
new file mode 100644
index 0000000000..6544eb512b
--- /dev/null
+++ b/multimedia/cdcat/cdcat.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for cdcat:
+# a QT based catalog program
+
+# Maintained by Niels Horn <niels.horn@gmail.com>
+# revision date 2009/12/08
+
+PRGNAM=cdcat
+VERSION=1.01b
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+PRGUNTARRED=CdCat
+QT3MAKE=/opt/kde3/bin/qmake
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $TMP/$PRGUNTARRED-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGUNTARRED-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Patch source so it will build with modern gcc...
+patch -p1 < $CWD/gcc4.patch
+
+# And fix a bug while we're here...
+# (source: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=358929)
+patch -p1 < $CWD/bugfix.patch
+
+# We need to build from the src directory...
+cd src
+ $QT3MAKE $PRGNAM.pro
+ sed -i "s,-O2,$SLKCFLAGS,g" Makefile
+ sed -i "s,usr/X11R6/lib,usr/lib$LIBDIRSUFFIX/X11,g" Makefile
+ sed -i "s,/usr/local/,/usr/,g" Makefile
+ make
+ make install INSTALL_ROOT=$PKG
+cd ..
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# desktop file & icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+mv $PKG/usr/share/$PRGNAM/$PRGNAM.png $PKG/usr/share/pixmaps/
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/$PRGNAM/{Authors,COPYING,ChangeLog,README,TRANSLATORS_README} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ INSTALL README_IMPORT* TODO VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/cdcat/cdcat.desktop b/multimedia/cdcat/cdcat.desktop
new file mode 100644
index 0000000000..9b3d9ed823
--- /dev/null
+++ b/multimedia/cdcat/cdcat.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=CdCat
+Comment=CD Catalog
+Categories=AudioVideo;
+Exec=cdcat
+Icon=cdcat
+Terminal=false
+StartupNotify=false
diff --git a/multimedia/cdcat/cdcat.info b/multimedia/cdcat/cdcat.info
new file mode 100644
index 0000000000..68c20f50c0
--- /dev/null
+++ b/multimedia/cdcat/cdcat.info
@@ -0,0 +1,10 @@
+PRGNAM="cdcat"
+VERSION="1.01b"
+HOMEPAGE="http://cdcat.sourceforge.net/"
+DOWNLOAD="http://cdcat.sourceforge.net/cgi-bin/download.pl?file=cdcat-1.01b.tar.bz2"
+MD5SUM="59b321ff3848b34cb6862fd2a408cb44"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/cdcat/doinst.sh b/multimedia/cdcat/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/multimedia/cdcat/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/cdcat/gcc4.patch b/multimedia/cdcat/gcc4.patch
new file mode 100644
index 0000000000..fd103c2de2
--- /dev/null
+++ b/multimedia/cdcat/gcc4.patch
@@ -0,0 +1,11 @@
+--- CdCat-1.01b/src/import.h 2005-08-22 14:03:00.000000000 -0300
++++ CdCat-1.01b-patched/src/import.h 2009-12-08 11:26:54.000000000 -0200
+@@ -66,7 +66,7 @@
+
+ class importGtktalogCsv: public QObject {
+ Q_OBJECT public:
+- importGtktalogCsv::importGtktalogCsv( GuiSlave * parent, QString separator, QString filename, bool createdatabase, bool correctbadstyle );
++ importGtktalogCsv( GuiSlave * parent, QString separator, QString filename, bool createdatabase, bool correctbadstyle );
+ ~importGtktalogCsv();
+
+ /*
diff --git a/multimedia/cdcat/slack-desc b/multimedia/cdcat/slack-desc
new file mode 100644
index 0000000000..124ee5fedd
--- /dev/null
+++ b/multimedia/cdcat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cdcat: cdcat (Graphical Catalog program)
+cdcat:
+cdcat: CdCat is a graphical (QT based) catalog program which scans the
+cdcat: directories/drives you want and stores it (including mp3 tags) in
+cdcat: gzipped XML format.
+cdcat:
+cdcat: http://cdcat.sourceforge.net/
+cdcat:
+cdcat:
+cdcat:
+cdcat: